var scriptVersion = 1.0; 
var scriptName = "Dark Moon module from Resilience client"; 
var scriptAuthor = "soulplexis";

var darkMoon = new DarkMoon();
var darkMoonClient;

function DarkMoon() {
    this.getName = function() {
        return "DarkMoon";
    };

    this.getDescription = function() {
        return "Makes the world go really dark.";
    };

    this.getCategory = function() {
        return "Render";
    };
    this.onEnable = function() {
    }

    this.onUpdate = function() {
    	 mc.gameSettings.gammaSetting = mc.gameSettings.gammaSetting - 0.005;
    }
    this.onDisable = function() {
    }
}


function onLoad() {
};

function onEnable() {
    darkMoonClient = moduleManager.registerModule(darkMoon);
};

function onDisable() {
    moduleManager.unregisterModule(darkMoonClient);
};